it works even with firefox3.1!!! Rated 5 out of 5 stars

i downloaded the extension even though it was not compatible with firefox 3.0 then i installed it with "mr tech toolkit" (another firefox extension) and it works just fine, i 've used it for three days and i didn't encounter any problem so far:-) if you want high quality (22khz) voices you need to download them elsewhere (through rapidshare links i got all the voices i needed, english, french, italian spanish etc.). Just don't look for cepstal's voices, they are a pain in the ass to install:-(